This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 433130 - ifInError is never updated on ppp interfaces
ifInError is never updated on ppp interfaces
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 11:54 EST by Peter Bieringer
Modified: 2008-02-18 09:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 09:02:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2008-02-16 11:54:43 EST
Description of problem:

During debugging  pppd[xxx]: Protocol-Reject for unsupported protocol ... I
found that the snmpd never updates ifInError of ppp interface, except on snmpd
restart.

Version-Release number of selected component (if applicable):

net-snmp-5.4.1-5.fc8

How reproducible:

Always.

Steps to Reproduce:
1. High load on ppp interface (PPPoE) causes some errors
2. mrtg never shows me error
  
Actual results:

# LC_ALL=C ifconfig ppp0
ppp0      Link encap:Point-to-Point Protocol  
          inet addr:88.217.12.23  P-t-P:82.135.16.28  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1492  Metric:1
          RX packets:435216 errors:438196 dropped:0 overruns:0 frame:0
          TX packets:346143 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3 
          RX bytes:489546292 (466.8 MiB)  TX bytes:120732542 (115.1 MiB)

$ snmpget -v 2c -c xxxx localhost IF-MIB::ifInErrors.11 IF-MIB::ifInOctets.11
IF-MIB::ifInUcastPkts.11

IF-MIB::ifInErrors.11 = Counter32: 434779  <- never updated, except on snmpd restart
IF-MIB::ifInOctets.11 = Counter32: 490139715  <- updated
IF-MIB::ifInUcastPkts.11 = Counter32: 436494


Expected results:

ifInError would be updated
Comment 1 Jan Safranek 2008-02-18 08:56:10 EST
I managed to reproduce it and I'll try to fix it.
Comment 2 Jan Safranek 2008-02-18 09:02:10 EST
Patch sent upstream, waiting for acceptance:
http://sourceforge.net/tracker/index.php?func=detail&aid=1896118&group_id=12694&atid=312694
Comment 3 Jan Safranek 2008-02-18 09:04:24 EST
You can test the patch and post your results to upstream patch tracker -
independent test can increase chance it will get accepted soon.

Note You need to log in before you can comment on or make changes to this bug.